Package org.opensaml.xmlsec.agreement.impl

# Class KeyAgreementParametersParser

java.lang.Object
org.opensaml.xmlsec.agreement.impl.KeyAgreementParametersParser

public class KeyAgreementParametersParser extends Object
A component which parses an instance of `AgreementMethod` and produces a new instance of `KeyAgreementParameters`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`KeyAgreementParametersParser()`

## Method Summary

Modifier and Type
Method
Description
`protected List<KeyAgreementParameterParser>`
`getParsers()`
Obtain the list of `KeyAgreementParameterParser` instances to use.
`KeyAgreementParameters`
`parse(AgreementMethod agreementMethod)`
Parse the specified `AgreementMethod` into an instance of `KeyAgreementParameters`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private org.slf4j.Logger log
Logger.

## Constructor Details

### KeyAgreementParametersParser

public KeyAgreementParametersParser()

## Method Details

### parse

@Nonnull public KeyAgreementParameters parse(@Nonnull AgreementMethod agreementMethod) throws KeyAgreementException
Parse the specified `AgreementMethod` into an instance of `KeyAgreementParameters`.

Parameters:
  `agreementMethod` - the AgreementMethod to process
Returns:
  the new instance of key agreement parameters
Throws:
  `KeyAgreementException` - if parameters parsing does not complete successfully

### getParsers

@Nonnull @Unmodifiable @NotLive protected List<KeyAgreementParameterParser> getParsers()
Obtain the list of `KeyAgreementParameterParser` instances to use.

This implementation uses the Java Service API to load the instances. Subclasses may override.

Returns:
  the list of parser instances